# Turn off the brp-python-bytecompile script
%define __brp_python_bytecompile %{nil}

Name:           system-config-printer
Summary:        A printer administration tool
Version:        1.5.15
Release:        %mkrel 1
Url:            https://github.com/zdohnal/system-config-printer
License:        LGPLv2+
Group:          System/Printing
Source0:        https://github.com/OpenPrinting/system-config-printer/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source3:        po-mga.tar.bz2
Source4:        mga_printer_custom.py
Source5:        hp-makeuri-mga.c
Source6:        mga_backend

# Fedora patches from upstream


# Mageia patches
Patch200:       system-config-printer-1.5.0-mga_custom-applet.patch
Patch202:       system-config-printer-1.4.2-mga_custom-system-config-printer.patch
Patch203:       system-config-printer-1.5.2-start-applet.patch
Patch204:       system-config-printer-1.4.4-udev-configure-printer-mga.patch
Patch300:       system-config-printer-1.3.7-remove-Brother-HL-2030-blacklist.patch
Patch301:       system-config-printer-1.5.5-mga_visual-artifacts.patch
# mga #15549
Patch302:	apply-new-udev-rules.patch
Patch303:	avoid-reinstall-of-libsane-hpaio.patch

#Upstream patches

BuildRequires:  cups-devel >= 1.2
BuildRequires:  desktop-file-utils >= 0.2.92
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  xmlto
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(udev)
BuildRequires:  libhpip-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  systemd-units
Obsoletes:      desktop-printing
Obsoletes:      printerdrake
Provides:       printerdrake
Requires:       python3dist(pygobject)
Requires:       gtk+3.0
Requires:       desktop-file-utils >= 0.2.92
Requires:       dbus-x11
Requires:       cups-pk-helper
Requires:       system-config-printer-libs = %{version}-%{release}
Requires:       system-config-printer-udev = %{version}-%{release}
Requires:       virtual-notification-daemon
Requires:       python3dist(dbus-python)
Requires:       python3dist(pycairo)
Requires:       python3dist(requests)
Requires:       hplip-model-data
# nmap is required to scan the network, just like
# printerdrake used to do.
Requires:       nmap
Conflicts:      kdeutils4-printer-applet
#Recommends:       samba-client
# (cg) Required for CheckUSBPermissions.py
Requires:       acl
Recommends:     python3dist(pysmbc)

%description
system-config-printer is a graphical user interface that allows
the user to configure a CUPS print server.

%files
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/hp-makeuri-mga
%{_bindir}/install-printerdriver
%{_datadir}/%{name}/check-device-ids.py*
%{_datadir}/%{name}/HIG.py*
%{_datadir}/%{name}/SearchCriterion.py*
%{_datadir}/%{name}/serversettings.py*
%{_datadir}/%{name}/system-config-printer.py*
%{_datadir}/%{name}/ToolbarSearchEntry.py*
%{_datadir}/%{name}/userdefault.py*
%{_datadir}/%{name}/troubleshoot
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/install-printerdriver.py*
%dir %{_datadir}/%{name}/xml
%{_datadir}/%{name}/xml/*.rng
%{_datadir}/%{name}/xml/validate.py*
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/applications/system-config-printer.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*

#---------------------------------------------------------------------
%package udev
Summary:        Rules for udev for automatic configuration of USB printers
Group:          System/Kernel and hardware
Requires:       system-config-printer-libs = %{version}-%{release}
Requires(post): rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1
Obsoletes:      hal-cups-utils <= 0.6.20
Conflicts:      cups < 1.4.2-6

%description udev
The udev rules and helper programs for automatically configuring USB
printers.

%post
# disable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
else
    echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
fi

%postun
# enable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
fi

%files udev
%{_prefix}/lib/udev/rules.d/*.rules
%{_prefix}/lib/udev/udev-*-printer
%ghost %dir %{_localstatedir}/run/udev-configure-printer
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) %attr(0644,root,root) %{_localstatedir}/run/udev-configure-printer/usb-uris
%{_unitdir}/configure-printer@.service

#---------------------------------------------------------------------

%package  libs
Summary:   Common code for the graphical and non-graphical pieces
Group:     System/Libraries
BuildArch: noarch
Requires:  python3dist(pycups)
Requires:  python3dist(pycurl)
Requires:  gobject-introspection
Requires:  python3dist(pygobject)
Requires:  gtk+3.0
Requires:  python3dist(dbus-python)
Recommends: python3dist(pysmbc)

%description libs
The common code used by both the graphical and non-graphical parts of
the configuration tool.

%files libs -f system-config-printer.lang
%doc COPYING
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.redhat.NewPrinterNotification.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.redhat.PrinterDriversInstaller.conf
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_bindir}/scp-dbus-service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/asyncconn.py*
%{_datadir}/%{name}/asyncipp.py*
%{_datadir}/%{name}/asyncpk1.py*
%{_datadir}/%{name}/authconn.py*
%{_datadir}/%{name}/config.py*
%{_datadir}/%{name}/cupspk.py*
%{_datadir}/%{name}/debug.py*
%{_datadir}/%{name}/dnssdresolve.py*
%{_datadir}/%{name}/errordialogs.py*
%{_datadir}/%{name}/firewallsettings.py*
%{_datadir}/%{name}/gtkinklevel.py*
%{_datadir}/%{name}/gui.py*
%{_datadir}/%{name}/installpackage.py*
%{_datadir}/%{name}/jobviewer.py*
%{_datadir}/%{name}/killtimer.py*
%{_datadir}/%{name}/monitor.py*
%{_datadir}/%{name}/newprinter.py*
%{_datadir}/%{name}/options.py*
%{_datadir}/%{name}/optionwidgets.py*
%{_datadir}/%{name}/OpenPrintingRequest.py
%{_datadir}/%{name}/PhysicalDevice.py*
%{_datadir}/%{name}/ppdcache.py*
%{_datadir}/%{name}/ppdippstr.py*
%{_datadir}/%{name}/ppdsloader.py*
%{_datadir}/%{name}/printerproperties.py*
%{_datadir}/%{name}/probe_printer.py*
%{_datadir}/%{name}/pysmb.py*
%{_datadir}/%{name}/scp-dbus-service.py*
%{_datadir}/%{name}/smburi.py*
%{_datadir}/%{name}/statereason.py*
%{_datadir}/%{name}/timedops.py*
%dir %{_sysconfdir}/cupshelpers
%config(noreplace) %{_sysconfdir}/cupshelpers/preferreddrivers.xml
%{python3_sitelib}/cupshelpers
%{python3_sitelib}/*.egg-info
%{_prefix}/lib/cups/backend/mga_backend
%{_datadir}/%{name}/mga_printer_custom.py*

#--------------------------------------------------------------------

%package applet
Summary: Print job notification applet
Group: System/Printing
Requires: %{name}-libs

%description applet
Print job notification applet.

%files applet
%{_bindir}/%{name}-applet
%{_datadir}/%{name}/applet.py*
%{_sysconfdir}/xdg/autostart/print-applet.desktop
%{_mandir}/man1/%{name}-applet.1*

#--------------------------------------------------------------------

%prep
%setup -q
# Fedora patches from upstream


%patch200 -p1 -b .mga_custom-applet
%patch202 -p1 -b .mga_custom-system-config-printer
%patch203 -p1 -b .start_applet
%patch204 -p1 -b .udev-configue-printer-mga

%patch300 -p0 -b .mga-1349
%patch301 -p0 -b .mga-14981
%patch302 -p0
%patch303 -p0

# update mga custom translation
#tar xvjf %{SOURCE3}
#pushd po
#for i in *.po; do
#    if [ ! -f ../po-mga/$i ]; then
#        continue
#    fi
#    msgcat $i ../po-mga/$i > ../po-mga/$i-new
#    rm -f $i
#    mv ../po-mga/$i-new $i
#done
#popd

%build
./bootstrap
%configure \
	--with-systemdsystemunitdir=%{_unitdir} \
	--with-udev-rules

%__make
# (salem) this hack avoids requiring hplip
gcc %{SOURCE5} -o hp-makeuri-mga -lhpmud

%install
%make_install

cp -f hp-makeuri-mga %{buildroot}%{_bindir}
cp -fv %{SOURCE4} %{buildroot}%{_datadir}/%{name}

%{__mkdir_p} %buildroot%{_localstatedir}/run/udev-configure-printer
touch %buildroot%{_localstatedir}/run/udev-configure-printer/usb-uris

# Manually invoke the python byte compile macro for each path that
# needs byte compilation
%py_byte_compile %{__python3} %%{buildroot}%{python3_sitelib}/cupshelpers
%py_byte_compile %{__python3} %%{buildroot}%{datadir}/%{name}

%{__mkdir_p} %{buildroot}%{_prefix}/lib/cups/backend
cp -f %{SOURCE6} %{buildroot}%{_prefix}/lib/cups/backend

%find_lang system-config-printer


%changelog
* Mon Jan 18 2021 luigiwalser <luigiwalser> 1.5.15-1.mga8
+ Revision: 1672365
- 1.5.15
- remove patches 304 and 400 (fixed upstream)

* Tue Jan 05 2021 martinw <martinw> 1.5.13-2.mga8
+ Revision: 1668970
- don't try to restart cups when a printer is hot-plugged (mga#27906)
  o this leads to a race which causes multiple restarts and eventual timeout

* Sun Nov 15 2020 luigiwalser <luigiwalser> 1.5.13-1.mga8
+ Revision: 1646410
- 1.5.13
- remove upstreamed patch 01
- rediff patch 204

* Sat Aug 29 2020 daviddavid <daviddavid> 1.5.12-4.mga8
+ Revision: 1619502
- fix french translation for string "Print Self-Test Page"

* Mon Feb 17 2020 umeabot <umeabot> 1.5.12-3.mga8
+ Revision: 1537316
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 29 2019 daviddavid <daviddavid> 1.5.12-2.mga8
+ Revision: 1456587
- add upstream patch to add checks for NULL in udev-configure-printer

* Sat Oct 26 2019 daviddavid <daviddavid> 1.5.12-1.mga8
+ Revision: 1455881
- new version: 1.5.12

* Wed Sep 11 2019 tv <tv> 1.5.11-3.mga8
+ Revision: 1439901
- rebuild for python-3.8

* Mon Jan 07 2019 tmb <tmb> 1.5.11-2.mga7
+ Revision: 1350763
- rebuild for python 3.7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.5.11-1.mga7
+ Revision: 1345915
- 1.5.11
- rediff patches 2 and 3
- renumber single-digit patches to 200+
- add upstream patches via fedora

* Sun Sep 23 2018 umeabot <umeabot> 1.5.9-4.mga7
+ Revision: 1301293
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.5.9-3.mga7
+ Revision: 1230036
- use new python provides

* Fri Aug 04 2017 tv <tv> 1.5.9-2.mga7
+ Revision: 1134534
- rebuild for new python

* Sun May 07 2017 luigiwalser <luigiwalser> 1.5.9-1.mga6
+ Revision: 1099459
- 1.5.9
- rediff patches 2, 303
- remove patches 1, 5, 102, 103, 200, 201, 401, 402 (fixed upstream)
- add new patch 1 from fedora (rhbz#1419175)
- update URLs
+ akien <akien>
- Use upstream ./boostrap instead of non-working autoreconf

* Tue Oct 25 2016 neoclust <neoclust> 1.5.7-10.mga6
+ Revision: 1063440
- Add patches from upstream to fix code and remove deprecated functions
- Fixed preferred driver for CLP-310

* Tue Oct 25 2016 neoclust <neoclust> 1.5.7-9.mga6
+ Revision: 1063435
- fixing minor errors ( fc)

* Sat Aug 13 2016 ngompa <ngompa> 1.5.7-8.mga6
+ Revision: 1046383
- Fix another typo

* Sat Aug 13 2016 philippem <philippem> 1.5.7-7.mga6
+ Revision: 1046362
- fix typo

* Fri Aug 12 2016 philippem <philippem> 1.5.7-6.mga6
+ Revision: 1046102
- fix somme warning, enable more packagekit

* Fri Jul 15 2016 philippem <philippem> 1.5.7-5.mga6
+ Revision: 1042164
- rely on packagekit and mga_custom, trying to get the best of the two worlds

* Thu Jul 14 2016 philippem <philippem> 1.5.7-4.mga6
+ Revision: 1042083
- rely on packagekit only

* Sun Apr 10 2016 philippem <philippem> 1.5.7-3.mga6
+ Revision: 1000149
- try to add cups-drivers-splix for samsung printers, fix name

* Fri Apr 08 2016 philippem <philippem> 1.5.7-2.mga6
+ Revision: 999375
- try to add cups-drivers-splix for samsung printers

* Fri Dec 25 2015 luigiwalser <luigiwalser> 1.5.7-1.mga6
+ Revision: 914547
- 1.5.7
- add patches 1 and 102 (from fedora)
- rediff patches 2 and 301
- remove upstreamed patch 304

* Wed Oct 07 2015 tv <tv> 1.5.5-9.mga6
+ Revision: 886965
- rebuild for python 3.5

* Wed Sep 02 2015 philippem <philippem> 1.5.5-8.mga6
+ Revision: 872151
- use Recommends instead of Suggests

* Tue Sep 01 2015 philippem <philippem> 1.5.5-7.mga6
+ Revision: 872044
- add python3-smbc as Suggests mga#16513

* Sun Aug 23 2015 ycantin <ycantin> 1.5.5-6.mga6
+ Revision: 868187
- modified Recommends to enable smb printer search (mga#16513)

* Sat Jun 13 2015 luigiwalser <luigiwalser> 1.5.5-5.mga5
+ Revision: 823034
- rebuild for release

* Tue Jun 09 2015 philippem <philippem> 1.5.5-4.mga5
+ Revision: 822961
- signal only works in main thread fix mga#16085

* Thu Apr 09 2015 tmb <tmb> 1.5.5-3.mga5
+ Revision: 820022
- fixes from Martin Whitaker (mga#15549)
  * make s-c-p detect a new printer without needing a reboot
  * avoid needless reinstall of libsane-hpaio package
  * fix bugs in mga_printer_custom.py
- Pass the path when creating a cups.PPD object out of a temporary file

* Sat Feb 21 2015 philippem <philippem> 1.5.5-2.mga5
+ Revision: 816173
- fix visual artifacts mga#14981

* Fri Feb 13 2015 luigiwalser <luigiwalser> 1.5.5-1.mga5
+ Revision: 814870
- 1.5.5
- rediff patch 2
- no longer requires a gnome icon theme

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.5.4-1.mga5
+ Revision: 796918
- 1.5.4

* Thu Nov 13 2014 blino <blino> 1.5.3-3.mga5
+ Revision: 796749
- fix hang when listing drivers (bad rediff of mga custo patch)

* Thu Nov 13 2014 blino <blino> 1.5.3-2.mga5
+ Revision: 796706
- udev-add-printer (mga custo): fix exception syntax for Python 3

* Mon Nov 03 2014 luigiwalser <luigiwalser> 1.5.3-1.mga5
+ Revision: 795340
- 1.5.3
- remove upstreamed patch

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-2.mga5
+ Revision: 743963
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 1.5.2-1.mga5
+ Revision: 738651
- 1.5.2
- rediff patches 2 and 3
- remove upstreamed patch
- add patch from fedora to fix python3 dict iteration (rhbz#1151457)

* Sat Sep 27 2014 tv <tv> 1.5.1-3.mga5
+ Revision: 730467
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 689664
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed Sep 03 2014 luigiwalser <luigiwalser> 1.5.1-1.mga5
+ Revision: 671671
- 1.5.1
- rediff patch 2
- remove upstreamed patch 202

* Wed Sep 03 2014 philippem <philippem> 1.5.0-2.mga5
+ Revision: 671213
- use nmap again to fix regression

* Fri Aug 15 2014 philippem <philippem> 1.5.0-1.mga5
+ Revision: 662858
- update to 1.5.0

* Thu Jul 24 2014 luigiwalser <luigiwalser> 1.4.5-3.mga5
+ Revision: 656177
- drop no-job-notifications patch (no longer in fedora)
- add patch from fedora to fix job retrieval bug (rhbz#1119222)

* Mon Jul 14 2014 tv <tv> 1.4.5-2.mga5
+ Revision: 651786
- requires cups-pk-helper (mga#13731)

* Wed Jul 09 2014 luigiwalser <luigiwalser> 1.4.5-1.mga5
+ Revision: 650917
- 1.4.5

* Sat Jul 05 2014 pterjan <pterjan> 1.4.4-5.mga5
+ Revision: 643796
- Replace libusb*-devel BuildRequires by better ones
- Rebuild for new Python
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Thu Mar 27 2014 philippem <philippem> 1.4.4-3.mga5
+ Revision: 609018
- fix network printer detection in mga_printer_custom.py (mga#12781)

* Mon Mar 24 2014 tv <tv> 1.4.4-2.mga5
+ Revision: 608187
- drop old requires on obsolete gnome python stuff

* Sat Mar 15 2014 luigiwalser <luigiwalser> 1.4.4-1.mga5
+ Revision: 603989
- 1.4.4
- rediff patch 4
- remove systemd patch (fixed upstream)
- do not specify udevhelper directories in makeinstall (fixed upstream)

* Tue Feb 11 2014 doktor5000 <doktor5000> 1.4.3-3.mga5
+ Revision: 589464
- push fix from philippem to fix network printer detection in mga_backend (mga#12137)
+ philippem <philippem>
- better default iface detection in mga_backend, fix nmap parsing

* Fri Feb 07 2014 tv <tv> 1.4.3-2.mga5
+ Revision: 585395
- drop useless require on foomatic now that foomatic-filters is dead

* Thu Dec 19 2013 tv <tv> 1.4.3-1.mga4
+ Revision: 558902
- new release

* Wed Dec 18 2013 tv <tv> 1.4.2-11.mga4
+ Revision: 558640
- install simple-scan rather than xsane

* Wed Dec 18 2013 tv <tv> 1.4.2-10.mga4
+ Revision: 558639
- fix gtk error when adding printer

* Sat Nov 02 2013 fwang <fwang> 1.4.2-9.mga4
+ Revision: 549031
- fix requires

* Mon Oct 28 2013 tv <tv> 1.4.2-8.mga4
+ Revision: 547595
- fix requires now that it uses gobject introspection (mga#11546)

* Sun Oct 27 2013 tv <tv> 1.4.2-7.mga4
+ Revision: 547337
- fix creating Plug with gtk3 (mga#11546)

* Sun Oct 27 2013 tv <tv> 1.4.2-6.mga4
+ Revision: 547332
- use "Gtk" namespace instead of "gtk" (Philippe Makowski, mga#11541)

* Tue Oct 22 2013 umeabot <umeabot> 1.4.2-5.mga4
+ Revision: 544628
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.2-4.mga4
+ Revision: 499900
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 13 2013 colin <colin> 1.4.2-3.mga4
+ Revision: 496243
- Drop consolehelper stuff. Polkit supoprt should be built in

* Mon Oct 07 2013 neoclust <neoclust> 1.4.2-2.mga4
+ Revision: 492763
+ rebuild (emptylog)

* Mon Oct 07 2013 neoclust <neoclust> 1.4.2-1.mga4
+ Revision: 492758
- New version

* Wed May 15 2013 neoclust <neoclust> 1.3.12-6.mga3
+ Revision: 413265
- Do not fork ( fix printer autodetection ) Special kudos to coling

* Mon Jan 21 2013 malo <malo> 1.3.12-5.mga3
+ Revision: 390315
- updated RPM group

* Thu Jan 17 2013 colin <colin> 1.3.12-4.mga3
+ Revision: 389178
- Remove /var/run files. Code will create it if needed.
- Fix totally broken systemd unit invocation (due to bogus rosa patch)
- Fix udev rules location.
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 colin <colin> 1.3.12-2.mga3
+ Revision: 333362
- Strip out systemd variable (it's mandatory these days)
- Require acl needed for some USB Permission checks (mga#8125)
+ dmorgan <dmorgan>
- Use /usr/lib as we UsrMoved

* Sun Nov 25 2012 luigiwalser <luigiwalser> 1.3.12-1.mga3
+ Revision: 321687
- fix configure-printer service (from rosa)
+ dmorgan <dmorgan>
- New version 1.3.12

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.3.11-1.mga3
+ Revision: 282252
- 1.3.11
- re-diff patches 4 and 5
- remove upstreamed patch 201

* Fri Jun 29 2012 colin <colin> 1.3.9-4.mga3
+ Revision: 265034
- Add patch from Fedora to avoid using deprecated udev function
- Rebuild against new libudev major

* Sat Apr 28 2012 tmb <tmb> 1.3.9-3.mga2
+ Revision: 233871
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Mar 26 2012 anssi <anssi> 1.3.9-2.mga2
+ Revision: 226535
- fix duplicated lines in udev-add-printer added by
  mga_custom-system-config-printer.patch which caused automatic
  printer configuration to not work properly (part of bug #3616 fix
  (automatic printer installation); the bug was probably a result of an
  erroneus rediff)
- do not install task-printing instead of task-printing-server, which
  was a non-working workaround for the above issue (fixes bug #4811
  (too many unneeded packages installed))
- don't query packagekit for drivers, it would just produce a scary error
  while we have a separate hook to install task-printing-foobar
  (in mga_custom-system-config-printer.patch)
- fix task-printing-foobar hook to use self.remotecupsqueue instead of
  not-yet-populated self.auto_make to trigger package installation
  (part of bug #3616 fix)
- fork udev-configure-printer before trying to install printing server
  as long-running processes should not be run under udev (part of the
  fix for bug #3616, in udev-configure-printer-mga.patch)
- fix cups backend directory on x86_64 (possibly related to bug #3616)

* Mon Mar 05 2012 luigiwalser <luigiwalser> 1.3.9-1.mga2
+ Revision: 218569
- remove upstreamed patches
- 1.3.9

* Fri Feb 24 2012 dmorgan <dmorgan> 1.3.8-2.mga2
+ Revision: 213666
- Add missing python-curl Requires ( mga #4620)

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1.3.8-1.mga2
+ Revision: 211002
- 1.3.8
- add debuginfo patch 202 from Fedora (rh #785581)
- add ppdcache-enoent patch 203 from Fedora (rh #786232)

* Sun Jan 22 2012 dmorgan <dmorgan> 1.3.7-3.mga2
+ Revision: 199539
- Own %%{_sysconfdir}/cupshelpers/

* Fri Jan 13 2012 dmorgan <dmorgan> 1.3.7-2.mga2
+ Revision: 195509
- Disable gutenprint blacklist to test if bug #1349 is fixed
- Change task-printing-server require into task-printing
- New version 1.3.7
- New version 1.3.6
- New version 1.3.5
- Enable systemd at build
- Rediff P4
- Rediff P0
- New version 1.3.4

* Sun Jul 03 2011 dmorgan <dmorgan> 1.3.3-1.mga2
+ Revision: 117530
- New version 1.3.3
  Rediff patch2

* Sat May 14 2011 ennael <ennael> 1.3.1-4.mga1
+ Revision: 98824
- update translations
+ ahmad <ahmad>
- readd the gnome-python-gnomekeyring bootstrap, as this may be useful when
  porting to new archs (thanks dmorgan)

* Fri Feb 25 2011 ahmad <ahmad> 1.3.1-3.mga1
+ Revision: 59187
- remove the hacky bootstrap, gnome-python-gnomekeyring is available now

* Thu Feb 24 2011 dmorgan <dmorgan> 1.3.1-2.mga1
+ Revision: 59076
- Fix file list
- Add fedora patch ( P200)( Do not show job notifications from the applet (rhbz #677676) )
- Fix udev installation path
- Fix patches name
- Fix custom functions name
- Fix custom functions name
- Rediff and rename system-config-printer-1.3.1-mdv_custom-embedded_window.patch
- Fix applet patch
  Rediff and rename udev patch
- Rediff and rename patch3
- Finish to rediff patch2
- Half rediff patch2 ( the missing part is the rediff of newprinter.py )
- Rediff and rename patch0
- Fix file list
- Remove patch6 not needed anymore
- Update to version 1.3.1
+ ahmad <ahmad>
- boostrap for gnome-python-gnomekeyring

* Sun Feb 20 2011 ahmad <ahmad> 1.2.0-15.mga1
+ Revision: 54972
- move the python-cups requires to the -libs sub-package (Fedora)
- add requires on gnome-python-gnomekeyring (Fedora)
- drop python-rhpl requires, dropped upstream since 0.7.53

* Sat Feb 19 2011 blino <blino> 1.2.0-14.mga1
+ Revision: 54328
- remove lp ACL workaround, moved in cups
- imported package system-config-printer

